﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="capstoneWebApp._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        UnderGuard 2.0 Service Demo</h2>
    <p>
        &nbsp;<asp:Label ID="SelectCatalogPromptLabel" runat="server" Height="25px" 
            Text="Select Catalog:"></asp:Label>
&nbsp;<asp:DropDownList ID="ActiveCatalogsDropDownList" runat="server" 
            AutoPostBack="True" 
            onselectedindexchanged="ActiveCatalogsDropDownList_SelectedIndexChanged">
        </asp:DropDownList>
    &nbsp;<asp:Label ID="CatalogDescriptionLabel" runat="server" Height="25px"></asp:Label>
    </p>
    <p>
        <asp:Repeater ID="productsRepeater" runat="server">
        <HeaderTemplate>
        <table id="datatable" border="1">
        <thead>
        <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Description</th>
        <th>Manufacturing Time (Minutes)</th>
        <th>Image</th>
        <th>Price</th>
        <th>Status</th>
        </tr>        
        </thead>        
        </HeaderTemplate>
        <ItemTemplate>
        <tr>
        <td>
         <%# Eval("Product_ID") %>
        </td>
        <td>
        <%# Eval("Product_Name") %>
        </td>
        <td>
        <%# Eval("Product_Description") %>
        </td>
        <td>
        <%# Eval("Manufacturing_Time") %>
        </td>
        <td>
        <img src="images/<%# Eval("Image_Path") %>" height="50%" width="50%" />
        </td>
        <td>
        <%# Eval("Price") %>
        </td>
        <td>
        <%# Eval("Current_Status") %>
        </td>
        </tr>        
        </ItemTemplate>
        <FooterTemplate>
        </table>        
        </FooterTemplate>
        </asp:Repeater>
    </p>
    </asp:Content>
