﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
/// <summary>
/// Summary description for WebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
// [System.Web.Script.Services.ScriptService]
public class WebService : System.Web.Services.WebService {

    UnderGuardLibrary.UnderGuardEntityModelContainer UGC = new UnderGuardLibrary.UnderGuardEntityModelContainer();

    public WebService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public string HelloWorld() {
        return "Hello World";
    }

    [WebMethod]
    public List<UnderGuardLibrary.getProductsByCatalog_Result> getCatalogProducts(int catalogID)
    {
        List<UnderGuardLibrary.getProductsByCatalog_Result> productsList = UGC.getProductsByCatalog(catalogID).ToList();

        return productsList;
    }

    [WebMethod]
    public List<UnderGuardLibrary.GetActiveCatalogs_Result> getActiveCatalogs()
    {
        List<UnderGuardLibrary.GetActiveCatalogs_Result> catalogsList = UGC.GetActiveCatalogs().ToList();
        return catalogsList;    
    }    
}
