﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.Security;
using System.Web.UI.WebControls;

namespace CapstoneWebApplication.AdminPages
{
    public partial class NewUser : System.Web.UI.Page
    {
        CWDataClassesDataContext _dc = new CWDataClassesDataContext();

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void saveButton_Click(object sender, EventArgs e)
        {
            string newUserName = usernameTextBox.Text;
            string eMail = emailTextBox.Text;
            string password = passwordTextBox.Text;
            string description = descriptionTextBox.Text;

            if (Membership.GetUser(newUserName) != null)
            {
                // Display a username taken message.
                saveConfirmLabel.Text = "Sorry, that user already exists.";            
            }
            
            else
            { 
                //save new user
                
                //save to asp
                MembershipUser newUser = Membership.CreateUser(newUserName, password, eMail);
                //save to role
                Roles.AddUserToRole(newUser.UserName, "New User");
                //save to db
                _dc.saveUser(newUser.UserName);
                _dc.updateUserDescription(newUser.UserName, description);

                //all done
                saveConfirmLabel.Text = "User saved.";

                //go back to user manager
                Response.Redirect("UserManager.aspx");
            }
        }
    }
}