﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

namespace CapstoneWebApplication.NewUserPages
{
    public partial class UserInformation : System.Web.UI.Page
    {
        CWDataClassesDataContext _dc = new CWDataClassesDataContext();
        MembershipUser _user;

        protected void Page_Load(object sender, EventArgs e)
        {
            _user = Membership.GetUser();

            if (!Page.IsPostBack)
            { 
                //description
                Users_Client webuser = _dc.getWebUser(_user.UserName).Single();//they're unique
                ClientDescriptionTextBox.Text = webuser.ClientDescription;

                //email
                EMailTextBox.Text = _user.Email;
            }
        }

        protected void submitButton_Click(object sender, EventArgs e)
        {
            //update description
            _dc.updateUserDescription(User.Identity.Name, ClientDescriptionTextBox.Text);

            //update email
            _user.Email = EMailTextBox.Text;
            Membership.UpdateUser(_user);

            confirmLabel.Text = "Changes saved.";
        }
    }
}