﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="NewUser.aspx.cs" Inherits="CapstoneWebApplication.AdminPages.NewUser" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .style1
        {
            width: 112px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <p>
        Create a new user here, or <a href="UserManager.aspx">return to the user management page</a>.<table style="width:100%;">
            <tr>
                <td class="style1">
                    Username:</td>
                <td>
                    <asp:TextBox ID="usernameTextBox" runat="server" Width="200px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="usernameRequiredFieldValidator" runat="server" 
                        ErrorMessage="Username is required." ControlToValidate="usernameTextBox"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    E-mail:</td>
                <td>
                    <asp:TextBox ID="emailTextBox" runat="server" Width="200px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    Description:</td>
                <td>
                    <asp:TextBox ID="descriptionTextBox" runat="server" Width="200px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    Password:</td>
                <td>
                    <asp:TextBox ID="passwordTextBox" TextMode="password" runat="server" Width="200px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="password1RequiredFieldValidator" runat="server" 
                        ErrorMessage="Password is required." ControlToValidate="passwordTextBox"></asp:RequiredFieldValidator>
                &nbsp;<asp:RegularExpressionValidator ID="pwdLengthRegularExpressionValidator" 
                        runat="server" ControlToValidate="passwordTextBox" 
                        ErrorMessage="Password must be a minimum of six characters." 
                        ValidationExpression="\w{6,}"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    Confirm Password:</td>
                <td>
                    <asp:TextBox ID="confirmPasswordTextBox" TextMode="password" runat="server" Width="200px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="password2RequiredFieldValidator" runat="server" 
                        ErrorMessage="Confirming the password is required." 
                        ControlToValidate="confirmPasswordTextBox"></asp:RequiredFieldValidator>
&nbsp;<asp:CompareValidator ID="passwordCompareValidator" runat="server" 
                        ErrorMessage="Password typings must match." 
                        ControlToCompare="passwordTextBox" ControlToValidate="confirmPasswordTextBox"></asp:CompareValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    &nbsp;</td>
                <td>
                    <asp:Button ID="saveButton" runat="server" onclick="saveButton_Click" 
                        Text="Save" />
&nbsp;<asp:Label ID="saveConfirmLabel" runat="server" Height="27px"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    &nbsp;</td>
                <td>
                    &nbsp;</td>
            </tr>
            <tr>
                <td class="style1">
                    &nbsp;</td>
                <td>
                    &nbsp;</td>
            </tr>
        </table>
    </p>
</asp:Content>
