﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditContact.aspx.cs" Inherits="CapstoneWebApplication.RegUserPages.EditContact" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<p>
        Edit contact for
        <asp:Label ID="nameLabel" runat="server" Text="NAME HERE"></asp:Label>
here, or <a href="Contacts.aspx">return to Contacts page</a>.</p><table style="width:100%;">
            <tr>
                <td class="style1">
                    Name:</td>
                <td>
                    <asp:TextBox ID="nameTextBox" runat="server" Width="180px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="nameRequiredFieldValidator" runat="server" 
                        ControlToValidate="nameTextBox" ErrorMessage="Name is required."></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    E-mail:</td>
                <td>
                    <asp:TextBox ID="eMailTextBox" runat="server" Width="180px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="eMailRequiredFieldValidator" runat="server" 
                        ControlToValidate="eMailTextBox" ErrorMessage="E-mail is required."></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    Phone:</td>
                <td>
                    <asp:TextBox ID="phoneTextBox" runat="server" Width="180px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="phoneRequiredFieldValidator" runat="server" 
                        ControlToValidate="phoneTextBox" ErrorMessage="Phone number is required."></asp:RequiredFieldValidator>
&nbsp;<asp:RegularExpressionValidator ID="phoneRegularExpressionValidator" runat="server" 
                        ControlToValidate="phoneTextBox" ErrorMessage="Format: 999-999-9999" 
                        ValidationExpression="\d{3}-\d{3}-\d{4}"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    Fax:</td>
                <td>
                    <asp:TextBox ID="faxTextBox" runat="server" Width="180px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="faxRequiredFieldValidator" runat="server" 
                        ControlToValidate="faxTextBox" ErrorMessage="Fax number is required."></asp:RequiredFieldValidator>
&nbsp;<asp:RegularExpressionValidator ID="faxRegularExpressionValidator" runat="server" 
                        ControlToValidate="faxTextBox" ErrorMessage="Format: 999-999-9999" 
                        ValidationExpression="\d{3}-\d{3}-\d{4}"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    Notes:</td>
                <td rowspan="2">
                    <asp:TextBox ID="notesTextBox" runat="server" Height="42px" Rows="2" 
                        TextMode="MultiLine" Width="250px"></asp:TextBox>
&nbsp;<asp:RequiredFieldValidator ID="notesRequiredFieldValidator" runat="server" 
                        ControlToValidate="notesTextBox" ErrorMessage="Notes are required."></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    &nbsp;</td>
            </tr>
            <tr>
                <td class="style1">
                    <asp:HiddenField ID="ContactIDHiddenField" runat="server" />
                </td>
                <td>
                    <asp:Button ID="saveButton" runat="server" Text="Save" 
                        onclick="saveButton_Click" />
                &nbsp;<asp:Label ID="confirmLabel" runat="server" Height="27px"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style1">
                    <asp:HiddenField ID="AddressIDHiddenField" runat="server" />
                </td>
                <td>
                    &nbsp;</td>
            </tr>
        </table>
    </p>
</asp:Content>
