﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace capstoneWebApp
{
    public partial class _Default : System.Web.UI.Page
    {

        UnderguardServiceReference.WebServiceSoapClient service = new UnderguardServiceReference.WebServiceSoapClient();
        List<UnderguardServiceReference.getProductsByCatalog_Result> _products;
        List<UnderguardServiceReference.GetActiveCatalogs_Result> _catalogs;

        protected void Page_Load(object sender, EventArgs e)
        {
            _catalogs = service.getActiveCatalogs().ToList();
            if (!IsPostBack)
            {
                ActiveCatalogsDropDownList.Items.Clear();
                foreach (UnderguardServiceReference.GetActiveCatalogs_Result catalog in _catalogs)
                {
                    ActiveCatalogsDropDownList.Items.Add(catalog.Catalog_Name);
                }
                ActiveCatalogsDropDownList_SelectedIndexChanged(sender, e);
            }
        }

        protected void ActiveCatalogsDropDownList_SelectedIndexChanged(object sender, EventArgs e)
        {
            _products = service.getCatalogProducts(_catalogs.ElementAt(ActiveCatalogsDropDownList.SelectedIndex).Catalog_ID).ToList();
            productsRepeater.DataSource = _products;
            productsRepeater.DataBind();
            CatalogDescriptionLabel.Text = _catalogs.ElementAt(ActiveCatalogsDropDownList.SelectedIndex).Description;
        }
    }
}
