﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserManager.aspx.cs" Inherits="CapstoneWebApplication.AdminPages.UserManager" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <p>
        Manage users here. You can also
        <asp:HyperLink ID="newUserHyperLink" runat="server" 
            NavigateUrl="~/AdminPages/NewUser.aspx">create a new user</asp:HyperLink>.<br />
        <asp:Label ID="MessageLabel" runat="server"></asp:Label>
    </p>
    <p>
        <asp:GridView ID="UsersGridView" runat="server" AllowPaging="True" 
            AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="UserClientID" 
            DataSourceID="UsersDataSource">
            <Columns>
                <asp:TemplateField ShowHeader="False">
                    <EditItemTemplate>
                        <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" 
                            CommandName="Update" Text="Update"></asp:LinkButton>
                        &nbsp;<asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" 
                            CommandName="Cancel" Text="Cancel"></asp:LinkButton>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="False" 
                            CommandName="Edit" Text="Edit"></asp:LinkButton>
                        &nbsp;
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="UserClientID" HeaderText="ID" InsertVisible="False" 
                    ReadOnly="True" SortExpression="UserClientID" />
                <asp:BoundField DataField="UserName" HeaderText="UserName" ReadOnly="True" 
                    SortExpression="UserName" />
                <asp:TemplateField HeaderText="Registered">
                    <ItemTemplate>
                        <asp:CheckBox ID="RegisteredCheckBox" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Client Number" SortExpression="ClientID">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("ClientID") %>'></asp:TextBox>
                        <asp:RangeValidator ID="RangeValidator1" runat="server" 
                            ControlToValidate="TextBox2" ErrorMessage="Must be a number, 1 or greater." 
                            MaximumValue="999999" MinimumValue="1"></asp:RangeValidator>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("ClientID") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Client Description" 
                    SortExpression="ClientDescription">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" 
                            Text='<%# Bind("ClientDescription") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("ClientDescription") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:HyperLinkField DataNavigateUrlFields="UserName" 
                    DataNavigateUrlFormatString="UserManager.aspx?register={0}" 
                    HeaderText="Register" Text="Register" />
                <asp:HyperLinkField DataNavigateUrlFields="UserName" 
                    DataNavigateUrlFormatString="UserManager.aspx?suspend={0}" HeaderText="Suspend" 
                    Text="Suspend" />
                <asp:TemplateField HeaderText="Delete">
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" onclick="return confirm('Delete: Are you sure?');" runat="server" NavigateUrl='<%# Eval("UserName", "UserManager.aspx?delete={0}") %>' 
                            Text='Delete'></asp:HyperLink>                            
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:LinqDataSource ID="UsersDataSource" runat="server" 
            ContextTypeName="CapstoneWebApplication.CWDataClassesDataContext" 
            EnableInsert="True" EnableUpdate="True" EntityTypeName="" 
            TableName="Users_Clients">
        </asp:LinqDataSource>
    </p>
</asp:Content>
