﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Products.aspx.cs" Inherits="CapstoneWebApplication.Products" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
    Products
</h2>
    <asp:Panel ID="Panel_Search" runat="server" GroupingText="Search:">
        <asp:Label ID="Label_Catalog" runat="server" 
    Text="Catalog:"></asp:Label>
        <asp:DropDownList ID="DropDownList_Catalog" runat="server" AutoPostBack="True" 
            DataSourceID="SqlDataSource_Catalog" DataTextField="Catalog_Name" 
            DataValueField="Catalog_ID">
        </asp:DropDownList>
        <br />
        <asp:Label ID="Label_Category0" runat="server" Text="Category:"></asp:Label>
        <asp:DropDownList ID="DropDownList_Category" runat="server" AutoPostBack="True" 
            DataSourceID="SqlDataSource_Category" DataTextField="Category_Name" 
            DataValueField="Category_ID">
        </asp:DropDownList>
        <br />
        <asp:Label ID="Label_FilterBy" runat="server" Text="Filter By:"></asp:Label>
        <asp:DropDownList ID="DropDownList_FilterBy" runat="server" AutoPostBack="True">
            <asp:ListItem>ID</asp:ListItem>
            <asp:ListItem>Name</asp:ListItem>
            <asp:ListItem>Description</asp:ListItem>
            <asp:ListItem>Status</asp:ListItem>
            <asp:ListItem>Price</asp:ListItem>
        </asp:DropDownList>
        <asp:TextBox ID="TextBox_FilterBy" runat="server"></asp:TextBox>
        <asp:Button ID="Button_Search" runat="server" Text="Search" 
            onclick="Button_Search_Click" />
        <br />
    </asp:Panel>
    <asp:GridView ID="GridView_Products" OnRowDataBound="grdTest_RowDataBound"
    OnPageIndexChanging="gridView_PageIndexChanging" OnSorting="gridView_Sorting" 
        AllowSorting="True" AllowPaging="True" runat="server">
        <Columns>
            <asp:HyperLinkField DataNavigateUrlFields="ID" 
                DataNavigateUrlFormatString="~/Details.aspx?id={0}" Text="Select" />
            <asp:HyperLinkField DataNavigateUrlFields="ID" 
                DataNavigateUrlFormatString="~/RegUserPages/ShoppingCart.aspx?id={0}" 
                Text="Add to Cart" />

            <asp:ImageField DataImageUrlField="ImagePath" 
                DataImageUrlFormatString="images/products/{0}">
                <ControlStyle Height="100px" Width="100px" />
            </asp:ImageField>

        </Columns>
</asp:GridView>
<br />
    <asp:SqlDataSource ID="SqlDataSource_Catalog" runat="server" 
        ConnectionString="<%$ ConnectionStrings:UnderGuardDbConnectionString %>" 
        SelectCommand="GetAllCatalogs" SelectCommandType="StoredProcedure">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource_Category" runat="server" 
        ConnectionString="<%$ ConnectionStrings:UnderGuardDbConnectionString %>" 
        SelectCommand="GetCategories" SelectCommandType="StoredProcedure">
    </asp:SqlDataSource>
    <br />
</asp:Content>
