﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CapstoneWebApplication.RegUserPages
{
    public partial class Contacts : System.Web.UI.Page
    {
        CWDataClassesDataContext _dc = new CWDataClassesDataContext();
        List<Contact> _contacts;

        protected void Page_Load(object sender, EventArgs e)
        {
            Users_Client userRecord = _dc.getWebUser(User.Identity.Name).Single();

            string delete = Request["delete"];
            //do any deleting
            if (delete != null)
            {
                int contactID = int.Parse(delete);

                //delete from client_contacts join
                _dc.deleteClientContact(userRecord.ClientID, contactID);

                //delete contact from contacts table
                _dc.deleteContact(contactID);

                //don't delete the address - it might also be a client address
            }

            _contacts = _dc.getContactsByClient(userRecord.ClientID).ToList();
            contactsRepeater.DataSource = _contacts;
            contactsRepeater.DataBind();
        }
    }
}