﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ShoppingCart.aspx.cs" Inherits="CapstoneWebApplication.RegUserPages.ShoppingCart1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<h2>
    Shopping Cart
</h2>

<table border="1">
    <tr>
        <th>Product Name</th>
        <td>Price</td>
        <th>Qty</th>
        <th></th>
        <th></th>
        <th></th>
    </tr>
    <%foreach (CapstoneWebApplication.RegUserPages.CartItem item in shoppingCart.GetCartItems())
      {%>   
        <tr>
            <td><%=item.Name%></td>
            <td><%=String.Format("{0:C}", item.Price)%></td>      
            <td><%=shoppingCart.GetQuantity(item) %></td>                     
            <td><a href="ShoppingCart.aspx?remove=<%=item.Id %>">Remove All</a></td>
            <td><a href="ShoppingCart.aspx?addone=<%=item.Id %>">Add One</a></td>
            <td><a href="ShoppingCart.aspx?removeone=<%=item.Id %>">Remove One</a></td>
        </tr>   
    <%} %>
    <tr>
        <td colspan="5">Subtotal:</td>
        <td><%=String.Format("{0:C}", shoppingCart.GetSubTotal()) %></td>
    </tr>
    <tr>
        <td colspan="5">Tax:</td>
        <td><%=String.Format("{0:C}", shoppingCart.GetTax()) %></td>
    </tr>
    <tr>
        <td colspan="5">Total:</td>
        <td><%=String.Format("{0:C}", shoppingCart.GetTotal()) %></td>
    </tr>
</table>

    <br />
    <asp:Button ID="Button_ContinueShopping" runat="server" 
        onclick="Button_ContinueShopping_Click" Text="Continue Shopping" />
    <asp:Button ID="Button_Checkout" runat="server" onclick="Button_Checkout_Click" 
        Text="Checkout" />

    <br />

</asp:Content>
