﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Contacts.aspx.cs" Inherits="CapstoneWebApplication.RegUserPages.Contacts" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <p>
        Manage your company&#39;s contacts here. You can also
        <asp:HyperLink ID="NewContactHyperLink" runat="server" 
            NavigateUrl="~/RegUserPages/NewContact.aspx">add a new contact</asp:HyperLink>.</p>
            <p>Return to <a href="../Products.aspx">products</a>.</p>
    <p>
        <asp:Repeater ID="contactsRepeater" runat="server">
        <HeaderTemplate>
        <table id="datatable" border="1">
        <thead>
        <tr>
        <th>Edit</th>
        <th>Delete</th>
        <th>ID</th>
        <th>Name</th>
        <th>Email</th>
        <th>Phone</th>
        <th>Fax</th>
        <th>Notes</th>
        <th>Address</th>
        </tr>        
        </thead>        
        </HeaderTemplate>
        <ItemTemplate>
        <tr>
        <td>
          <a href="EditContact.aspx?edit=<%# Eval("Contact_ID") %>">Edit</a>
        </td>
        <td>
        <asp:HyperLink ID="HyperLink1" onclick="return confirm('Delete: Are you sure?');" runat="server" NavigateUrl='<%# Eval("Contact_ID", "Contacts.aspx?delete={0}") %>' 
                            Text='Delete'></asp:HyperLink>   
        </td>
        <td>
         <%# Eval("Contact_ID") %>
        </td>
        <td>
         <%# Eval("Contact_Name") %>
        </td>
        <td>
         <%# Eval("Email") %>
        </td>
        <td>
        <%# Eval("Phone_Number") %>
        </td>
        <td>
        <%# Eval("Fax_Number") %>
        </td>
        <td>
        <%# Eval("Notes") %>
        </td>
        <td><a href="EditAddress.aspx?address=<%# Eval("Address_ID") %>&contact=<%# Eval("Contact_ID") %>">Edit</a>
        </td>
        </tr>        
        </ItemTemplate>
        <FooterTemplate>
        </table>        
        </FooterTemplate>
        </asp:Repeater>    
    </p>
</asp:Content>
